% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/tests.R
\name{anovaTest}
\alias{anovaTest}
\title{ANOVA test for multiple comparisons}
\usage{
anovaTest(data, ...)
}
\arguments{
\item{data}{Matrix where the test is performed}

\item{...}{Ignored}
}
\value{
A list with class "htest" containing the following components: \code{statistic}, the value of the statistic used in the test; \code{p.value}, the p-value for the test; \code{method}, a character string indicating what type of test was performed and \code{data.name}, a character string giving the name of the data.
}
\description{
This function performs F-test for K populations means
}
\details{
The test has been implemented according to Test 22 in Kanji (2006).
}
\examples{
data(data_gh_2008)
anovaTest(data.gh.2008)
}
\references{
Kanji, G. K. (2006) \emph{100 Statistical Tests}. SAGE Publications Ltd, 3rd edition.
}

